claw::meta::split_type_list_at< Delimiter, TypeList > Struct Template Reference

Split a type_list according to the first instance of a given type. More...

`#include <type_list.hpp>`

## Public Types

typedef if_then_else< same_type< Delimiter, typenameTypeList::head_type >::result, no_type, type_list< typenameTypeList::head_type, typenamesplit_type_list_at< Delimiter, typenameTypeList::queue_type >::left_part_type > >::result | left_part_type
| The left part of the list. The delimiter is not included.
typedef if_then_else< same_type< Delimiter, typenameTypeList::head_type >::result, TypeList, typenamesplit_type_list_at< Delimiter, typenameTypeList::queue_type >::right_part_type >::result | right_part_type
| The right part of the list. The delimiter is included.

## Detailed Description

template<typename Delimiter, typename TypeList>
struct claw::meta::split_type_list_at< Delimiter, TypeList >

Split a type_list according to the first instance of a given type.

Template parameters

- Delimiter The type on which we split the list
- TypeList The type_list to split.

Definition at line 100 of file type_list.hpp.

## Member Typedef Documentation

## left_part_type

template<typename Delimiter, typename TypeList>

typedef if_then_else<same_type<Delimiter,typenameTypeList::head_type>::result,no_type,type_list<typenameTypeList::head_type,typenamesplit_type_list_at<Delimiter,typenameTypeList::queue_type>::left_part_type>>::result claw::meta::split_type_list_at< Delimiter, TypeList >::left_part_type

The left part of the list. The delimiter is not included.

Definition at line 110 of file type_list.hpp.

## right_part_type

template<typename Delimiter, typename TypeList>

typedef if_then_else<same_type<Delimiter,typenameTypeList::head_type>::result,TypeList,typenamesplit_type_list_at<Delimiter,typenameTypeList::queue_type>::right_part_type>::result claw::meta::split_type_list_at< Delimiter, TypeList >::right_part_type

The right part of the list. The delimiter is included.

Definition at line 118 of file type_list.hpp.

The documentation for this struct was generated from the following file:

- meta/type_list.hpp